### Interface

# FoundryGtk ShortcutProvider

#### Description

    interface FoundryGtk.ShortcutProvider : Foundry.Contextual

No description available.

#### Prerequisite

In order to implement ShortcutProvider, your type must inherit from`FoundryContextual`.

#### Instance methods

###### foundry_shortcut_provider_list_shortcuts

Gets a `GListModel` of `GtkShortcut`.

#### Interface structure

    struct FoundryGtkShortcutProviderInterface {
      GTypeInterface parent_iface;
      GListModel* (* list_shortcuts) (
        FoundryShortcutProvider* self
      );

    }

No description available.

###### Interface members

`parent_iface`

    GTypeInterface

| No description available.

`list_shortcuts`

    GListModel* (* list_shortcuts) (
        FoundryShortcutProvider* self
      )

| No description available.

#### Virtual methods

###### FoundryGtk.ShortcutProvider.list_shortcuts

Gets a `GListModel` of `GtkShortcut`.